Subject: Re: linux-next: build failure after merge of the regmap tree

From: Mark Brown <[email-masked]>
Date: Thu, 15 Dec 2011 06:17:57 +0000

On Thu, Dec 15, 2011 at 05:05:17PM +1100, Stephen Rothwell wrote:

> drivers/gpio/gpio-da9052.c:25:35: fatal error: linux/mfd/da9052/gpio.h: No such file or directory

> So, it looks like this would never have built
> (include/linux/mfd/da9052/gpio.h never existed) but noone ever enabled
> CONFIG_PMIC_DA9052 before (which CONFIG_GPIO_DA9052 depends on).

> drivers/gpio/gpio-da9052.c was added with commit 07bfc9152365 ("GPIO:
> DA9052 GPIO module v3") in v3.1-rc1.

The issue here is that the GPIO driver was merged prior to review being
completed for the MFD and then problems with the MFD caused lots of
changes in the rest of the series.  The MFD review is now fine so it's
been merged (via regmap due to use of new regmap features) but the GPIO
driver needs updating.

Ashish or Daneil, could you please send a patch fixing this?  Possibly
just a case of adding the new header.